/**
 * конфиг для прода
 */

/* global module */
module.exports = {
	mode: 'production',
	entry: [ './src/assets/js/app.js' ],
	output: {
		filename: '[name].js',
	},
	// devtool: 'source-map',
	module: {
		rules: [
			{
				test: /\.js$/,
				exclude: /node_modules/,
				use: {
					loader: 'babel-loader',
					options: {
						presets: [
							[ '@babel/preset-env', {
								useBuiltIns: 'usage'
							} ]
						]
					}
				}
			}
		]
	}
};